VDPAU: VdpPictureInfoH264 Struct Reference

VDPAU

Data Fields
VdpPictureInfoH264 Struct Reference
Core API » VdpDecoder; Video Decoding object

Picture parameter information for an H.264 picture. More...

`#include <vdpau.h>`

## Data Fields
uint32_t | slice_count
int32_t | field_order_cnt [2]
VdpBool | is_reference
VdpReferenceFrameH264 | referenceFrames [16]
H.264 bitstream
Copies of the H.264 bitstream fields.
uint16_t | frame_num
uint8_t | field_pic_flag
uint8_t | bottom_field_flag
uint8_t | num_ref_frames
uint8_t | mb_adaptive_frame_field_flag
uint8_t | constrained_intra_pred_flag
uint8_t | weighted_pred_flag
uint8_t | weighted_bipred_idc
uint8_t | frame_mbs_only_flag
uint8_t | transform_8x8_mode_flag
int8_t | chroma_qp_index_offset
int8_t | second_chroma_qp_index_offset
int8_t | pic_init_qp_minus26
uint8_t | num_ref_idx_l0_active_minus1
uint8_t | num_ref_idx_l1_active_minus1
uint8_t | log2_max_frame_num_minus4
uint8_t | pic_order_cnt_type
uint8_t | log2_max_pic_order_cnt_lsb_minus4
uint8_t | delta_pic_order_always_zero_flag
uint8_t | direct_8x8_inference_flag
uint8_t | entropy_coding_mode_flag
uint8_t | pic_order_present_flag
uint8_t | deblocking_filter_control_present_flag
uint8_t | redundant_pic_cnt_present_flag
uint8_t | scaling_lists_4x4 [6][16]
uint8_t | scaling_lists_8x8 [2][64]

## Detailed Description

Picture parameter information for an H.264 picture.

Note: The referenceFrames array must contain the "DPB" as defined by the H.264 specification. In particular, once a reference frame has been decoded to a surface, that surface must continue to appear in the DPB until no longer required to predict any future frame. Once a surface is removed from the DPB, it can no longer be used as a reference, unless decoded again.

Also note that only surfaces previously generated using VdpDecoderRender may be used as reference frames. In particular, surfaces filled using any "put bits" API will not work.

Note: References to bitstream fields below may refer to data literally parsed from the bitstream, or derived from the bitstream using a mechanism described in the specification.

Note: VDPAU clients must use VdpPictureInfoH264Predictive to describe the attributes of a frame being decoded with VDP_DECODER_PROFILE_H264_HIGH_444_PREDICTIVE.

## Field Documentation

## ◆ bottom_field_flag

uint8_t VdpPictureInfoH264::bottom_field_flag

## ◆ chroma_qp_index_offset

int8_t VdpPictureInfoH264::chroma_qp_index_offset

## ◆ constrained_intra_pred_flag

uint8_t VdpPictureInfoH264::constrained_intra_pred_flag

## ◆ deblocking_filter_control_present_flag

uint8_t VdpPictureInfoH264::deblocking_filter_control_present_flag

## ◆ delta_pic_order_always_zero_flag

uint8_t VdpPictureInfoH264::delta_pic_order_always_zero_flag

## ◆ direct_8x8_inference_flag

uint8_t VdpPictureInfoH264::direct_8x8_inference_flag

## ◆ entropy_coding_mode_flag

uint8_t VdpPictureInfoH264::entropy_coding_mode_flag

## ◆ field_order_cnt

int32_t VdpPictureInfoH264::field_order_cnt[2]

[0]: top, [1]: bottom

## ◆ field_pic_flag

uint8_t VdpPictureInfoH264::field_pic_flag

## ◆ frame_mbs_only_flag

uint8_t VdpPictureInfoH264::frame_mbs_only_flag

## ◆ frame_num

uint16_t VdpPictureInfoH264::frame_num

## ◆ is_reference

VdpBool VdpPictureInfoH264::is_reference

Will the decoded frame be used as a reference later.

## ◆ log2_max_frame_num_minus4

uint8_t VdpPictureInfoH264::log2_max_frame_num_minus4

## ◆ log2_max_pic_order_cnt_lsb_minus4

uint8_t VdpPictureInfoH264::log2_max_pic_order_cnt_lsb_minus4

## ◆ mb_adaptive_frame_field_flag

uint8_t VdpPictureInfoH264::mb_adaptive_frame_field_flag

## ◆ num_ref_frames

uint8_t VdpPictureInfoH264::num_ref_frames

## ◆ num_ref_idx_l0_active_minus1

uint8_t VdpPictureInfoH264::num_ref_idx_l0_active_minus1

## ◆ num_ref_idx_l1_active_minus1

uint8_t VdpPictureInfoH264::num_ref_idx_l1_active_minus1

## ◆ pic_init_qp_minus26

int8_t VdpPictureInfoH264::pic_init_qp_minus26

## ◆ pic_order_cnt_type

uint8_t VdpPictureInfoH264::pic_order_cnt_type

## ◆ pic_order_present_flag

uint8_t VdpPictureInfoH264::pic_order_present_flag

## ◆ redundant_pic_cnt_present_flag

uint8_t VdpPictureInfoH264::redundant_pic_cnt_present_flag

## ◆ referenceFrames

VdpReferenceFrameH264 VdpPictureInfoH264::referenceFrames[16]

See VdpPictureInfoH264 for instructions regarding this field.

## ◆ scaling_lists_4x4

uint8_t VdpPictureInfoH264::scaling_lists_4x4[6][16]

Convert to raster order.

## ◆ scaling_lists_8x8

uint8_t VdpPictureInfoH264::scaling_lists_8x8[2][64]

Convert to raster order.

## ◆ second_chroma_qp_index_offset

int8_t VdpPictureInfoH264::second_chroma_qp_index_offset

## ◆ slice_count

uint32_t VdpPictureInfoH264::slice_count

Number of slices in the bitstream provided.

## ◆ transform_8x8_mode_flag

uint8_t VdpPictureInfoH264::transform_8x8_mode_flag

## ◆ weighted_bipred_idc

uint8_t VdpPictureInfoH264::weighted_bipred_idc

## ◆ weighted_pred_flag

uint8_t VdpPictureInfoH264::weighted_pred_flag

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h